using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class update_panel : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //if (!ispostback && !iscallback)
        //    lbl_heure_page.text = datetime.now.tolongtimestring();
    }

    protected void cmd_erreur_Click(object sender, EventArgs e)
    {
         throw new ApplicationException("Erreur lors du postback");
    }

    protected void cmd_maj_heure_click(object sender, EventArgs e)
    {
        lbl_heure_ajax.Text = DateTime.Now.ToLongTimeString();
        System.Threading.Thread.Sleep(4000);
    }
    protected void timer1_Tick(object sender, EventArgs e)
    {
        lbl_heure_ajax.Text = "Actualisée par le timer : " + 
            DateTime.Now.ToLongTimeString();
    }
}